## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global short_name lsp-black

%global _description %{expand:
lsp-black is a python-lsp-server plugin that adds support to black
autoformatter. This is forked from pyls-black to be compatible wth
community maintained language-server (python-lsp-server).
}

Name:           python-%{short_name}
Version:        2.0.0
Release:        %autorelease
Summary:        A python-lsp-server plugin that adds support to black autoformatter

%global forgeurl https://github.com/python-lsp/python-lsp-black
%forgemeta

# SPDX
License:        MIT
URL:            %{forgeurl}
Source:         %{forgesource}
# Fix tests failing since `black >= 24.3.0`
# https://github.com/python-lsp/python-lsp-black/issues/57
Patch:          %{forgeurl}/pull/59.patch
# And two more failing since `black >= 24.4.0`
# https://github.com/python-lsp/python-lsp-black/issues/57
Patch:          %{forgeurl}/pull/56.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-pytest

%description %_description

%package -n     python3-%{short_name}
Summary:        %{summary}

Supplements:    python3dist(python-lsp-server)

%description -n python3-%{short_name} %_description

%prep
%forgeautosetup -p1
# Remove version pinning from python-lsp-server dependency
sed -i -r -e 's/(lsp-server)>=.*/\1/' setup.cfg
# Remove Python version upper bound
sed -i -e 's/; python_version.*//' setup.cfg

%generate_buildrequires
%pyproject_buildrequires -x extras_require

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files pylsp_black

%check
%pytest -v

%files -n python3-%{short_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sat Sep 28 2024 Sandro <devel@penguinpee.nl> - 2.0.0-7
- Verify License: field is SPDX compliant

* Thu Jul 25 2024 Sandro <devel@penguinpee.nl> - 2.0.0-6
- Fix tests failing since recent black update

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 29 2024 Sandro <devel@penguinpee.nl> - 2.0.0-2
- Rebuild for Python 3.13

* Sun Jan 28 2024 Sandro <devel@penguinpee.nl> - 2.0.0-1
- Update to 2.0.0 (RHBZ#2255304)
- Changes entry point to `black`.
- Changes namespace from `pylsp.pylsp_black` to `pylsp.black`.
- Drop patch in favor of inline patching

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Sep 08 2023 Sandro <devel@penguinpee.nl> - 1.3.0-1
- Update to 1.3.0
- Migrate to SPDX license (value unchanged)
- Drop LICENSE file (now included in tarball)
- Enable tests
- Wrangle package config into submission
- Close RHBZ#2220314 RHBZ#2226234 and RHBZ#2237973

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 04 2022 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.2.0-2
- Rebuild for python3.11

* Thu Mar 31 2022 Mukundan Ragavan <nonamedotc@gmail.com> - 1.2.0-1
- Update to 1.2.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 07 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.0.0-2
- Spec cleanup

* Mon Jul 05 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.0.0-1
- Initial package.

## END: Generated by rpmautospec
